Name: H5Rget_object_type
Signature:
  int `H5Rget_object_type`(hid_t `id`, void *`ref` )
Purpose:
  Retrieves the type of object that an object reference points to.
Description:
  [NOTE: This function is provided only to enable backward compatibility with HDF5 Releases 1.4.x. This function is enabled only if the HDF5 library is configured with the flag `H5_WANT_H5_V1_4_COMPAT` and is not enabled in the binaries distributed by NCSA. This function has been replaced in Release 1.6 by the function `H5Rget_obj_type` and will eventually be deleted from the HDF5 distribution.]

  Given a reference to an object `ref`, `H5Rget_object_type` returns the type of the object pointed to.
Parameters:

hid_t `id`,
  IN: The dataset containing the reference object or the location identifier of the object that the dataset is located within.
void *`ref`
  IN: Reference to query.

Returns:
  Returns an object type as defined in `H5Gpublic.h`; otherwise returns `H5G_UNKNOWN`.
History:

Release | C
1.6.0 | Function introduced in this release.